#
# spec file for package perl-TermReadKey (Version 2.30)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-TermReadKey
Version:        2.30
Release:        13.2
Requires:       /bin/stty
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Other License(s), see package
URL:            http://cpan.org/modules/by-module/Term/
Summary:        A Perl Module for Simple Terminal Control
Source:         TermReadKey-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ReadKey provides ioctl control for terminals and Win32 consoles so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin as well as
several other terminal related features, including retrieval and
modification of the screen size and retrieval and modification of the
control characters.



Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%debug_package
%prep
%setup -n TermReadKey-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
make
# s390/s390x/sparc don't have /dev/tty
%ifnarch s390 s390x sparc sparc64
make test
%endif

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Term
%{perl_vendorarch}/auto/Term
/var/adm/perl-modules/%{name}

%changelog -n perl-TermReadKey
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - mjancar@suse.cz
- update to 2.30
* Fri Mar 26 2004 - kukuk@suse.de
- Fix Requires (/bin/stty is needed, not XFree86)
* Wed Feb 18 2004 - kukuk@suse.de
- Remove unused packages from neededforbuild
- Don't run test suite on machines without /dev/tty
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 - coolo@suse.de
- package directories
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Tue Nov 12 2002 - prehak@suse.cz
- updated to version 2.21
- updated neededforbuild after xf86-rename
* Mon Jul 22 2002 - prehak@suse.cz
- update to version 2.20
- enabled make test
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Jan 17 2002 - rvasice@suse.cz
- update to version 2.16
* Fri Nov 02 2001 - rvasice@suse.cz
- initial package release (version 2.14)
